Subject: Re: resource file handling ?
From: [email-masked] ("A. Phillip Smith")

10 Mar 1997 15:35:49 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Gunther Ebert)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Gunther Ebert" at Mar 10, 97 06:44:24 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Gunther,

My failure to convert resource files to objects under NT persists.
Unfortunately, when I ran gunzip on your cvtres.exe.gz and
tried to run it, I got the same 'Not owner' message I get when
I link res2coeff objects.

Also, renaming .OBJ files to .o does not work. The gcc 'ld' loader
rejects it as an unidentified file type. I assume that files must
be COFF or ELF format. Unless there's another utility, this probably
will never work.

Are you running an NT system or Win95 ? As I mentioned, res2coff
produces .o files that link and run perfectly under Win95. Under my
NT 3.51 system, I get the 'Not owner' message. I still don't know
if the output is a truncated, as you suggest, or if there is some
API call in objimage.c that should be initialized with security
parameters. By the way, I compiled res2coff from the latest sources.

What I really want to do under NT is create an object file and link it.
That's why RCL wasn't really considered. I don't want an EXE or a DLL.
Any other ideas/clues ? I really need res2coff that works for NT...

	Phil Smith

> A. Phillip Smith wrote:
> > 
> > Thanks for all your input. Here's where I am:
> > 
> > CVTRES option:
> > It seems that cvtres.exe is from the VCC++ distribution. I have that.
> > Unfortunately, this produces an .OBJ file which gcc can't link with.
> > 
> 
> I thought about another cvtres utility. It is attached to this message.
> (actually you can rename the .obj file produced by  VC++ cvtres to a .o
> file and it should link with gcc).
> 
> 
> > RCL
> > 
> > I downloaded and compiled this, but there are a number of problems
> > getting it to find things on my NT cygnus installation. Namely, windows.h,
> > cpp, and the SDK files.
> > 
> 
> Oh, yes. rcl expects cpp in PATH and all needed header files in
> C_INCLUDE_PATH, CPLUS_INCLUDE_PATH and/or RCINCLUDE.
> FYI, if you are running Windows NT you don't need any resource conversion
> utility because rcl can link .res files directly to executables
> (but the executables need a .reloc section, this is not the default
> of gcc, see the faq how to create a .reloc section)
> 
> 
> > RES2COFF
> > 
> > This converts the .res file (created by VCC++ rc.exe) to  .o file
> > and is linked by ld with no errors. However, when I execute it, it
> > reports "not owner". This appears to be a bug.
> > 
> > What am I missing here ? Many thanks.
> 
> I made the same experiences with res2coff. The binary file in the package
> seems to be truncated. With some effort I got the source code compiled
> and it works for me now.
> 
> 
> 
> -- 
> 
> Gunther Ebert
> iXOS Anwendungs-Software GmbH
> Angerstrasse 40-42
> D-04177 Leipzig
> 
> Phone : +49 341 48503-0
> Fax   : +49 341 48503-99
> E-mail: mailto:[email-masked]
> www   : http://www.ixos-leipzig.de
> 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".